import { Storage } from './Storage.interface';
export declare class CookieStorage implements Storage {
  static COOKIE_PATH: string;
  static COOKIE_EXPIRATION_DAY_COUNT: number;
  private cookie;
  constructor();
  /**
   * Generates date pointed to given day addition. Uses
   * COOKIE_EXPIRATION_DAY_COUNT if no day is provided.
   * @param dayCount
   * @returns {Date}
   */
  private static getExpires;
  /**
   * Saves cookie value.
   * @param key of the cookie.
   * @param value of the cookie.
   */
  save(key: string, value: string): void;
  /**
   * Gets cookie value.
   * @param key of the cookie.
   */
  get(key: string): string;
  /**
   * Removes the cookie value.
   * @param key
   */
  remove(key: string): void;
  /**
   * Clears session related cookies.
   */
  clear(): void;
  /**
   * Returns all values.
   */
  getAll(): {
    jwt: string;
    userId: string;
  };
}
